BackupMX

Valutazione attuale: 5 / 5

Stella attivaStella attivaStella attivaStella attivaStella attiva
 

Di seguito l'elenco dei pacchetti necessari all'installazione di VMware Server su Ubuntu:
apt-get install libc6-dev libx11-6 libx11-dev libxtst6 xlibs-dev xinetd wget build-essential (anche ia32-libs nel caso di versione a 64 bit)

Se durante l'installazione appare un errore del genere:

sh: /usr/bin/vmware-ping: not found

potresti aver dimenticato di installare le ia32-libs su una versione a 64 bit.

Per cui ti basta digitare:

apt-get install ia32-libs

Questo succede perchè "vmware-ping" è compilato per le versioni a 32 bit...

Un altro problema potrebbe capitare in fase di compilazione di "VMware VmPerl Scripting API": 

Configuring the VMware VmPerl Scripting API.

Building the VMware VmPerl Scripting API.

Using compiler "/usr/bin/gcc". Use environment variable CC to override.

Unable to compile the VMware VmPerl Scripting API.

********
The VMware VmPerl Scripting API was not installed.  Errors encountered during
compilation and installation of the module can be found here:
/tmp/vmware-config1

You will not be able to use the "vmware-cmd" program.

Errors can be found in the log file:
'/tmp/vmware-config1/control-only/make.log'
********


Per questo è sufficiente installare le libc6-dev:

apt-get install libc6-dev

Problemi sull'installazione della VMware MUI

Se, durante l'installazione della VMware MUI salta fuori l'errore:

Starting httpd.vmware:-ne failed

Il problema potrebbe essere che la shell "sh" presente in /bin (quindi /bin/sh) sia un link simbolico a /bin/dash;
Questo può generare l'errore sopra menzionato.
E' sufficiente un bel:

rm -f /bin/sh
ln -s /bin/bash /bin/sh


E riavviare l'installazione della VMware MUI o riavviarla...

Argomenti correlati:
linux   vmware   ubuntu  

Commenti  

0 #1 probleminoMattia 2009-06-29 23:22
ciao,
io ho scaricato l'rpm di vmware-server, convertito in deb con alien poi installato.

quando eseguo vmware da terminale però ho questi errori:

/usr/bin/vmware: 166: cannot open /etc/vmware/loc ations: No such file
exec: 180: /lib/wrapper-gt k24.sh: not found


Rimedi?
grazie in anticipo!
Citazione
0 #2 Federica 2009-06-30 09:41
Ciao Mattia,
ti conviene scaricare il file .tar.gz
Lo devi scompattare, poi ti sposti dentro la cartella e lanci l'installazione in questo modo:
# ./vmware-instal l.pl
Citazione
0 #3 re:Guest 2009-06-30 09:52
ciao, grazie per la risposta.
Ho risolto installando una path aggiuntiva, perchè il problema è che non è compatibile con i kernel più recenti.

Ho installato XP (host ubuntu) e funziona "tutto bene", solo che non mi riconosce la porta parallela (uso una express card) o meglio me la riconosce, ma non riesco a stampare.

Prima usavo virtualbox, ma non ha il supporto della parallela.
Missà che terrò le VM da parte almeno fino quando avrò un pò di tempo in più, dovrò usare XP da nativo per ora.. :sad:

grazie
ciao!
Citazione
By  Dario  &  Federica